window.onload = function() {
	var activityState = 1
	postData("ch-mobile/restaurant/selectRestaurantCoupon.json", {
		userId: localStorage.getItem("userId")
	}, function(data) {
		try {
			localStorage.setItem("couponNum", data.data.length)
		} catch(e) {
			//TODO handle the exception
		}
	})
	var count = 1;
	var totalPage = 1;
	var arg = {
		pageNo: count,
		city: checkCity(localStorage.getItem('shopCity') == "null" || localStorage.getItem('shopCity') == "" ? localStorage.getItem("Dcity") : localStorage.getItem('shopCity'))
	}
	//秒杀
	function countdownidx(startime, downtime) {
		var statime = new Date(startime.replace(/\-/g, '/').replace('.0', '')).getTime();
		var endtime = new Date(downtime.replace(/\-/g, '/').replace('.0', '')).getTime();
		var nowtime = new Date().getTime();
		var hms = [];
		var endtimehtml = '';
		if(nowtime <= statime) {
			endtimehtml = '本场秒杀未开始'
			$(".ms_time").css("font-size","10px").html(endtimehtml)
		}
		if(nowtime >= endtime) {
			endtimehtml = '本场秒杀已结束'
			$(".ms_time").css("font-size","10px").html(endtimehtml)
		}
		if(nowtime >= statime && nowtime <= endtime) {
			var record = (endtime - nowtime) / 1000;
			var hour = Math.floor(record % 86400 / 3600).toString();
			var minute = Math.floor(record % 86400 % 3600 / 60).toString();
			var seconds = Math.floor(record % 86400 % 3600 % 60).toString();
			if(parseInt(hour) < 10) {
				hms[0] = hour.slice(0, 2)
			} else {
				hms[0] = hour;
			};
			if(parseInt(minute) < 10) {
				hms[1] = '0'+ minute.slice(0,2);
			} else {
				hms[1] = minute;
			};
			if(parseInt(seconds) < 10) {
				hms[2] = '0'+ seconds.slice(0,2);
			} else {
				hms[2] = seconds;
			};
			$(".ms_time").css("font-size","14px").html('<span>'+hms[0]+'</span>:<span>'+hms[1]+'</span>:<span>'+hms[2]+'</span>')
		}
			
	}



	mui.plusReady(function() {
		/*上拉加载*/
		mui.init({
			pullRefresh: {
				container: '#pullrefresh',
				up: {
					contentrefresh: '正在加载...',
					contentnomore:'没有更多数据了',
					callback: pullupRefresh1
				}
			}
		});
		setTimeout(function() {
			var mySwiper = new Swiper('.swiper1', {
				slidesPerView: 3,
				slidesPerGroup: 4,
				slidesPerView: 'auto',
				freeMode: true,
				onTouchEnd: function(json) {
					if(activityState != 0) {
						gonext()
					}
				}
			})
		}, 800)
		//秒杀
		console.log(checkCity(localStorage.getItem('shopCity') == "null" || localStorage.getItem('shopCity') == "" ? localStorage.getItem("Dcity") : localStorage.getItem('shopCity')))
	function seckill2() {
		var seckill = $('#seckill2');
		postData("ch-mobile/RestaurantActivity/SeckillActivity.json", {
			city: checkCity(localStorage.getItem('shopCity') == "null" || localStorage.getItem('shopCity') == "" ? localStorage.getItem("Dcity") : localStorage.getItem('shopCity'))
		}, function(data) {
			try {

			} catch(e) {
				activityState = 0
			}
			console.log(JSON.stringify(data))
			if(data.code == 1) {
				if(data.data.activityState == 0) {
					activityState = 0
					$(".ms0").hide();
					return
				}
				$(".ms0").show();
				$(".ms_ts").text(data.data.activityRemarks);
				$.each(data.data.seckillgoods, function(a, b) {
					seckill.append('<div class="ms_shop_box_shop swiper-slide tmBtn"   data-id="' + b.goodId + '" data-unitId="' + b.unitId + '" data-goodName="' + b.goodName + '">' +
									'<div class="ms_shop_top">' +
									'<p class="textoverhide2">'+b.goodName+'</p>' +
									'<img data-lazyload="' + b.imgUrl + '" src="img/lazyImg.png" onload="lazyload(this)" alt="" />' +
									'</div>' +
									'<p class="textoverhide" style="color: #e4280b;">￥<span>'+b.goodPrice+'/'+b.normsName+'</span></p>' +
									'</div>')
				});
				getMsTime()
			}else{
				$(".ms0").hide();
			}
		})
	}
	seckill2()
	function getMsTime(){
		postData("ch-mobile/RestaurantActivity/getTimeSeckKill.json", null, function(data) {
				if(data.code == 1){
					if(data.data.length!=0){
						var b = data.data[0]
						setInterval(countdownidx, 1000, b.seckillStartTime, b.seckillEndTime)
					}
				}	
		})
	}
		// 通过定位模块获取位置信息
		var c =  plus.geolocation.getCurrentPosition(geoInf, function(e) {
			console.log("1")
			mui.toast('获取位置信息失败');
		}, {
			geocode: true,
			provider: 'baidu'
		});
		function gonext() {
			var startX, startY, moveEndX, moveEndY, X, Y;
			$("#seckill2 .swiper-slide:last").on("touchstart", function(e) {
				startX = e.originalEvent.changedTouches[0].pageX,
					startY = e.originalEvent.changedTouches[0].pageY;
			});
			$("#seckill2 .swiper-slide:last").on("touchmove", function(e) {
				moveEndX = e.originalEvent.changedTouches[0].pageX,
					moveEndY = e.originalEvent.changedTouches[0].pageY,
					X = moveEndX - startX,
					Y = moveEndY - startY;
				if(Math.abs(X) > Math.abs(Y) && X < 0) {
					openWinA("activity/seckill.html")
				}
			});
		}
		
		postData("ch-mobile/restaurant/selectAdversitingCommon.json", {
			commonName: "轮播",
			city: checkCity(localStorage.getItem('shopCity') == "null" || localStorage.getItem('shopCity') == "" ? localStorage.getItem("Dcity") : localStorage.getItem('shopCity'))
		}, function(data) {
			try {
				$(".fristBanner img").attr('src', data.data[0].adImg)
				$(".lastBanner img").attr('src', data.data[data.data.length - 1].adImg)
				$(data.data).each(function(a, b) {
					$('.fristBanner').after('<div class="mui-slider-item bannerBtn" bannerImg=' + b.imDetails + ' adName=' + b.adName + '><a><img  style="height:200px" src=' + b.adImg + '></a></div>')
					$('<div class="mui-indicator"></div>').appendTo($('.mui-slider-indicator'))
					$(".mui-indicator").first().addClass("mui-active")
				})
			} catch(e) {
				//TODO handle the exception 
			}
		})
		postData("ch-mobile/restaurant/selectAdversitingCommon.json", {
			commonName: "主题图片",
			city: checkCity(localStorage.getItem('shopCity') == "null" || localStorage.getItem('shopCity') == "" ? localStorage.getItem("Dcity") : localStorage.getItem('shopCity'))
		}, function(data) {
			if(data.data != '') {
				$(".conActiveimg").attr('src', data.data[0].adImg)
			}
		})
		/*搜索*/
		/*广告开始*/
		var cityw = {
			city: checkCity(localStorage.getItem('shopCity') == null ||  localStorage.getItem('shopCity') == ""  ? localStorage.getItem("Dcity") : localStorage.getItem('shopCity'))
		}
		console.log(cityw.city)
		postData("ch-mobile/restaurant/advertising.json", {
			city : cityw.city
		}, function(data) {
			console.log(1)
			console.log(1)
			console.log(JSON.stringify(data))
			if(cityw.city == "" || cityw.city == null){
				$(".huodong").hide()
				return
			}
			if(data.data.length == 0){
				$("huodong").hide()
				return false;
			}
			// 路径 img/adStart.png  进行中
			// 路径  img/adEnd.png   结束
  			// bgimg 
  			// conBB 控制图片底下的虚线
			$(data.data).each(function(a, b) {
					var d = $("<div class='adBtn' adName=" + b.adName + " adId=" + b.adId + " ></div>").attr("url", b.adUrl).appendTo($(".huodong_shop"))
					$("<img class='adBtn_img' src='"+b.adImg+"' />").appendTo(d)
			})
		})
		/*广告结束*/
		seckill2()
		mathsJrtm(arg)
		closeWait()
		if($(".tj_header_nav").children().length != 0){
			$(".tj_header_nav_span").eq(0).click()
		}
		//专区跳转
		$('.fl_box').on('tap','.type1',function() {
			var fltype = $(this).attr("data-fltype");
			var canshu = {fltype : fltype,idx : 2};
			var main = plus.webview.getWebviewById("index.html");
			mui.fire(main, 'index2', {
				canshu : canshu
			});
		})
		//2级列表 跳转
		mui('.fl_box').on('tap','.type22',function() {
		var tant = $(this)
		var shopName = tant.attr("data-fltype");
		localStorage.removeItem("addGoodsi") 
		var shopId = tant.attr('data-id')
		var parentId = tant.parent().children().eq(0).attr("data-id")
		umeng.eventTrig('good_lists', {
			phone: localStorage.getItem("phoneNumber"),
			waytype: '商品分类'
		})
		
		mui.openWindow({
			url: "classify/newShopList.html",
			extras: {
				typeId:shopId,
				catId:parentId,
				typeName:shopName
			},
			waiting: {
				options: {
					background: "rgba(0,0,0,0)"
					}
				}
			})
		})
	})
	/*首页轮播广告位*/
	$(".bannerBtn").each(function(index, item) {
		$(item).attr('bannerId', +index);
	})
	$("#slider").on("tap", ".bannerBtn", function() {
		mui.openWindow({
			url: "activity/bannerPlate.html",
			extras: {
				bannerId: $(this).attr("bannerId"),
				bannerImg: $(this).attr("bannerImg"),
				adName: $(this).attr("adName")
			}
		})
	})
	try {
		var dataBase = openDatabase("messsage", "1.0", "messagess", 1024 * 1024);
		dataBase.transaction(function(tx) {
			tx.executeSql("select * from messagectbox where state=0 and selfuserId='" + localStorage.getItem('userId') + "'", [],
				function(tx, result) {
					console.log()
					$('.jB').text(result.rows.length)

				},
				function(tx, error) {
					console.log('查询失败: ' + error.message);
				})
		})
	} catch(e) {
		console.log(e)
	}

	function geoInf(position) {
		localStorage.setItem("addresses", position.addresses)
		$(cityData3).each(function(a, b) {
			if(position.address.province == b.text) {
				localStorage.setItem("Dprovince", b.value)
				$(b.children).each(function(a, b) {
					if(position.address.city == b.text) {
						if(localStorage.getItem("selectCity")){
//							$("#showCityPicker").text(localStorage.getItem("selectCity"))
						}else{
//							$("#showCityPicker").text(b.text)
						}						
						localStorage.setItem('Dwcity', b.text)
						localStorage.setItem("Dcity", b.value)
						$(b.children).each(function(a, b) {
							if(position.address.district == b.text) {
								localStorage.setItem("Ddistrict", b.value)
							}
						})
					}
				})
			}
		})
	}
		//今日特卖
	function mathsJrtm(data){

		postData("ch-mobile/RestaurantActivity/RecommendActivity.json", data, function(data) {
//			console.log(data)
			if(data.code == 1) {
				//总页数
				totalPage = data.page.totalPage

				$(data.data).each(function(a, b) {
					if(b != null) {	
						var aBox = $("<a class='urlsq' data-id='" + b.goodId + "' data-unitId='" + b.unitId + "' data-goodName='" + b.goodName + "'></a>").appendTo($(".cs_jrtj_shop"))
						$("<img class='cs_jrtj_imgmax' onload='lazyload(this)' data-id=" + b.goodId + " data-unitId=" + b.unitId + ">").attr({
							"data-lazyload": b.imgUrl,
							"src": "img/lazyImg.png"
						}).appendTo(aBox);
						$('<h4 class="texthide">'+b.goodName+'</h4><h5 class="texthide"><span>规格</span><span>'+b.normsContent + b.normsName+'</span></h5>').appendTo(aBox);
						var tPrice = (b.salePrice != 0) ? b.salePrice : b.goodPrice;
						if(b.salePrice != 0){
							$('<h6>' +
							'<div class="textoverhide">'+
								'<img class="cs_jrtj_icon1" src="img/jrtj_tmj.png" alt="" />'+
								'<span>￥ '+tPrice+'</span>' +
								'<span class="tmj" style="color: #919191;font-size: 10px;text-decoration: line-through;">￥'+b.goodPrice+'</span>' +
							'</div>'+
							'</h6>').appendTo(aBox);
						}else{
							$('<h6>' +
							'<div>'+
								'<img class="cs_jrtj_icon1" src="img/jrtj_tmj.png" alt="" />'+
								'<span>￥ '+tPrice+'</span>' +
							'</div>'+
							'</h6>').appendTo(aBox);
						}
					}
					
				})
				arg.pageNo++
			}else{
				$(".cs_jrtj").hide();
			}
		})
	}
	function pullupRefresh1() {
		setTimeout(function() {
//			console.log(arg.pageNo)
//			console.log(totalPage)
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(arg.pageNo >= totalPage)
			if(arg.pageNo > totalPage){
				return
			}
			mathsJrtm(arg)
		}, 1500);
	}


}
$("body").on('tap', '.tmBtn,.urlsq', function() {
	var id = $(this).attr('data-id');
	var unitId = $(this).attr('data-unitId');
	var goodName = $(this).attr('data-goodName')
	if($(this).hasClass('idxseck')) {
		umeng.eventTrig('fhl_goods_link', {
			phone: localStorage.getItem("phoneNumber"),
			waytype: '首页秒杀',
			unitId: unitId,
			goodName: goodName
		})
	} else {
		umeng.eventTrig('fhl_goods_link', {
			phone: localStorage.getItem("phoneNumber"),
			waytype: '今日特卖',
			unitId: unitId,
			goodName: goodName
		})
	}
	mui.openWindow({
		url: "classify/spxq.html",
		extras: {
			typeId: id,
			unitId: unitId
		},
		show: {
			event: "loaded"
		}
	})
})
$("body").on("tap", ".adBtn", function() {
	var adId = $(this).attr("adId");
	var adName = $(this).attr("adName");
	umeng.eventTrig('fhl_theme', {
		phone: localStorage.getItem("phoneNumber"),
		clicksUser: localStorage.getItem('userId'),
		adName: adName,
		adId: adId
	})
	umeng.eventTrig('good_lists', {
		phone: localStorage.getItem("phoneNumber"),
		waytype: '主题活动'
	})
	mui.openWindow({
		url: "activity/template.html",
		extras: {
			adId: adId
		},
		show: {
			event: "loaded"
		}

	})
})
$('.quan').on('tap', function() {
	if($(this).hasClass('mslist')) {
		umeng.eventTrig('good_lists', {
			phone: localStorage.getItem("phoneNumber"),
			waytype: '秒杀列表'
		})
	}
	if($(this).hasClass('scck')) {
		var idx = plus.webview.getWebviewById('../index.html') || plus.webview.getWebviewById('index.html');;
		mui.fire(idx, 'idx', {
			idx: 2
		});
	}
	var targetTab = this.getAttribute('url');
	mui.openWindow({
		url: targetTab,
		waiting: {
			options: {
				background: "rgba(0,0,0,0)"
			}
		}
	})
});
$('#call-sale').on('tap', function() {
	var numTop = $("#special-sale").offset().top
	if(browserRedirect()) {
		mui(".mui-scroll-wrapper").scroll().scrollTo(0, -numTop, 1000)
	} else {
		$('body').animate({
			scrollTop: numTop
		}, 1000);
	}
})
$('.myurl').on('tap', function() {
	var urlName = $(this).attr("url");
	mui.openWindow({
		url : urlName,
		waiting: {
			options: {
				background: "rgba(0,0,0,0)"
			}
		}
	})
})
